Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 433127 - =media-video/lives-2.4.6 - New package request
Summary: =media-video/lives-2.4.6 - New package request
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: Default Assignee for New Packages
URL: http://lives-video.com
Whiteboard: [user/DuPol overlay]
Keywords:
: 494230 569220 (view as bug list)
Depends on:
Blocks: 569958
  Show dependency tree
 
Reported: 2012-08-29 05:56 UTC by David
Modified: 2019-05-18 09:48 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
lives-2.4.6.ebuild.patch (lives-2.4.6.ebuild.patch,4.95 KB, patch)
2015-12-22 21:47 UTC, PhobosK
Details | Diff
metadata.xml.patch (metadata.xml.patch,1.27 KB, patch)
2015-12-22 21:48 UTC, PhobosK
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David 2012-08-29 05:56:35 UTC
Version 1.6.3 has been released [1].    That latest version in Portage is 1.4.6 [2].


[1]  http://lives.sourceforge.net/index.php?do=downloads#lsource

[2]  http://packages.gentoo.org/package/media-video/lives
Comment 1 jannis 2012-11-14 19:05:41 UTC
Lives is now at 1.6.4 and simply renaming the 1.4.6 ebuild from tree works for me here
Comment 2 am1 2013-02-24 13:29:35 UTC
Version 1.8.2 is out now, please make a version bump!!
Comment 3 Jeroen Roovers gentoo-dev 2013-12-14 14:43:23 UTC
*** Bug 494230 has been marked as a duplicate of this bug. ***
Comment 4 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-12-14 14:45:44 UTC
There appears to be a version available in the user/DuPol overlay; this might make bumping a bit easier, see URL.
Comment 5 Nikoli 2014-11-23 10:48:51 UTC
http://lives.sourceforge.net/index.php?do=downloads#lsource

'Latest "stable" version (recommended for most users) : 2.2.6 for GNU/Linux and UNIX systems (released 16 August 2014)'
Comment 6 jannis 2014-12-31 15:17:48 UTC
Latest is 2.2.7 by now. And there is an ebuild in the funtoo overlay:
http://data.gpo.zugaina.org/funtoo-overlay/media-video/lives/lives-2.2.5.ebuild
However, it doesn't work for lives-2.2.7 (compile error) and not for -2.2.5 (installs files to wrong paths). For lives-2.2.6 it compiles and installs okay and looks good when started. I didn't use it intensively yet though.
Comment 7 Tomáš Mózes 2015-12-22 19:42:45 UTC
*** Bug 569220 has been marked as a duplicate of this bug. ***
Comment 8 PhobosK 2015-12-22 21:47:00 UTC
Created attachment 420390 [details, diff]
lives-2.4.6.ebuild.patch

This is the proposed ebuild patch (against current tree =/media-video/lives-1.4.6 ebuild)


Excerpt from bug #569220 :


The version of LiVES in portage (=media-video/lives-1.4.6) is pretty obsolete now. There were a lot of requests for current version bump, so I did update the ebuild to current LiVES upstream version - 2.4.6

It has been tested on ~amd64 and ~x86 and compiles and works ok.

Since this ebuild hasn't been updated for long I assume there is no maintainer for it.... I can proxy maintain it... That's why I changed part of the metadata.xml for the ebuild (I am uploading it later).

Here is the ChangeLog of the ebuild with some explanations:

1. Move to EAPI 5
2. Updated HOMEPAGE, SRC_URI and LICENSE (they moved to GPL v3)
3. Added some new IUSE flags (description is in the proposed metadata.xml) that reflect all the necessary and recommended libs, apps etc 
4. Altered/Fixed all dependencies as needed by the new LiVES version
5. Removed Python 2.x fixes of scripts, since now they have versions for both 2.x and 3.x
6. The src_configure() part may seem strange, but it is because the configure.ac procedures of LiVES are not well written and they only have a --disable-X part... i.e. any use of use_enable actually triggers a --disable-X option :S
7. Removed symlinking hack in src_install() since it is not needed anymore
8. Updated description of the new flags in metadata.xml

I hope this would be accepted for adding to portage tree... 

Thanks
Comment 9 PhobosK 2015-12-22 21:48:01 UTC
Created attachment 420392 [details, diff]
metadata.xml.patch

The proposed metadata.xml patch (against current tree =/media-video/lives-1.4.6 metadata.xml) with altered maintainer - me...
Comment 10 Thomas Raschbacher gentoo-dev 2016-01-18 21:58:03 UTC
did you test it with 2.4.7 already too? i am curious enough to give this a go myself (using it I mean ;))
Comment 11 Kobboi 2016-04-01 14:18:17 UTC
With the current lives-1.4.6 not compiling with gcc-5, what needs to happen for PhobosK's ebuild to hit the tree? Can't we put it at least in sunrise to get some feedback?
Comment 12 Pacho Ramos gentoo-dev 2016-06-29 10:49:17 UTC
Is anyone willing to proxy maintain this?
https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
Comment 13 PhobosK 2016-06-29 17:17:44 UTC
As I said 6 months ago I can maintain it :) .....

Though I'll have to upload a new ebuild, since the latest stable of LiVES is 2.6.3 now :D
Comment 14 Pacho Ramos gentoo-dev 2016-06-29 20:19:49 UTC
CCing proxy-maintainers then
Comment 15 Pacho Ramos gentoo-dev 2017-01-17 09:02:47 UTC
Per
https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers#Getting_Started

you should open a maintainership bug and make it block this one
Comment 16 Nico Baggus 2017-03-07 19:28:38 UTC
2.8.4 is now the latest.
Comment 17 Matt Turner gentoo-dev 2017-03-22 18:45:29 UTC
Please just submit a pull request on github
Comment 18 Matthias Maier gentoo-dev 2017-03-22 18:54:19 UTC
# Andreas Sturmlechner <asturm@gentoo.org> (03 Mar 2017)
# Masked for removal in 30 days. Reported to be broken;
# QA issues, fails to build with GCC-5, ffmpeg-3
# Bugs #608408, #569958, #610746
media-video/lives


commit b2df1993b850c7f3e8cb02322c8528c22ecb1352
Author: Andreas Sturmlechner <asturm@gentoo.org>
Date:   Fri Mar 3 01:10:52 2017 +0100

    profiles: Mask media-video/lives for removal
    
    Acked-by: lu_zero
    Gentoo-bug: 608408, 569958, 610746